%define name soundtracker
%define version 0.6.7
%define release %mkrel 6

Summary: 	Sound modules editor/player
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Sound
License: 	GPL
Url: 		http://www.soundtracker.org/
Source: 	%name-%version.tar.bz2
Patch0: 	soundtracker-0.6.7-remove-chown.patch.bz2
Patch1:		soundtracker-0.6.7-double-free.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libalsa-devel
BuildRequires:  libjack-devel
BuildRequires:  automake1.7
BuildRequires:  gettext-devel

%description
Soundtracker is a module tracker for the X Window System similar to the DOS
program `FastTracker'. Soundtracker is based on the XM file format. The user
interface makes use of GTK+, and, optionally, GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
aclocal-1.7
automake-1.7
autoheader
autoconf
%configure2_5x \
%ifnarch %ix86
--disable-asm
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs
%find_lang %{name}

mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/soundtracker"\
title="Soundtracker"\
longtitle="A module tracker"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF

%post
%{update_menus}
 
%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%_bindir/soundtracker
%_menudir/*
%_datadir/gnome/apps/Multimedia/soundtracker.desktop
%_datadir/%name

%changelog
* Mon Aug 29 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.7-6mdk
- fix the double free instead of hiding it (P1)

* Mon Aug 29 2005 Michael Scherer <misc@mandriva.org> 0.6.7-5mdk
- add option to run with new glibc ( thanks to metal3d for bugreport )
- mkrel

* Wed May 11 2005 Lenny Cartier <lenny@mandriva.com> 0.6.7-4mdk
- 0.6.7

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.6.7-3mdk
- fix build on non-i586

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-2mdk
- macro fixes
- fix buildrequires

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- fix build
- rediff the patch
- fix buildrequires
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-3mdk
- fix buildrequires

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- rebuild

* Mon May 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- call automake before the configure macro
- new version
- autoconf 2.5 macro

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4-3mdk
- rebuild for new alsa

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu entry

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.3
	- use language file list from %%find_lang macro

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated to 0.6.2
- fix files section

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-2mdk
- menu

* Tue Aug 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
